Uploaded image for project: 'Lustre'
  1. Lustre
  2. LU-11575

make debs fail on debian without systemd enabled

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: Upstream
    • Fix Version/s: Lustre 2.13.0, Lustre 2.12.4
    • Labels:
      None
    • Severity:
      3
    • Rank (Obsolete):
      9223372036854775807

      Description

      As not all debian series support systemd, for example Ubuntu 14.04.x, make debs failed with following error, because it always tries to install systemd stuff.

      dh_install -p lustre-client-utils
      dh_install: lustre-client-utils missing files (debian/tmp/lib/systemd/system/*), aborting
      make[1]: *** [binary-lustre-client-utils] Error 2
      make[1]: Leaving directory `/root/lustre'
      dpkg-buildpackage: error: debian/rules binary gave error exit status 2
      make: *** [debs] Error 2

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                guzheng Gu Zheng
                Reporter:
                guzheng Gu Zheng
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: